Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: /usr/bin/dot perl(Exporter.pm) perl(IO/Handle.pm) perl(Parse/Yapp/Driver.pm) perl(Pod/Simple/HTML.pm) perl(Pod/Simple/HTMLBatch.pm) perl(Scalar/Util.pm) perl(Switch.pm) perl(Term/ReadLine.pm) perl(Text/ParseWords.pm) perl(Time/HiRes.pm) perl(base.pm) perl(threads.pm) perl(threads/shared.pm) perl-podlators
# END SourceDeps(oneline)
%add_findreq_skiplist %perl_vendor_privlib/HCT*
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           hct
Version:        0.7.60
Release:        alt1_24
Summary:        A HDL complexity tool

License:        GPLv3 and LGPLv3
URL:            http://hct.sourceforge.net/
Source0:        http://downloads.sourceforge.net/hct/hct-%{version}.tar.gz
Source1:        Makefile.PL
Patch0:         hct-set-env-hcthome.patch
Patch1:         hct-set-hct-path-for-moved-lang.patch 

BuildArch:      noarch

BuildRequires:  dos2unix
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)


Source44: import.info

%description 
The goal of the HCT is to generate scores that represent
the complexity of the constituent modules of large 
integrated circuit design projects a.. i.e. SOCs. The design's 
complexity scores are useful to verification
teams so as to efficiently focus resources based on the dynamic
complexity profile of a design. The scores are a useful tool to guide
HDL designer's re-factoring efforts.

%prep
%setup -q -n hct-%{version}
%patch0 -p1 -b .fix
%patch1 -p1 -b .hct

sed -e "s|PERL_VENDORLIB|'%{perl_vendor_privlib}'|" hct.pl > hct.ex
chmod +x hct.ex
touch -r hct.pl hct.ex
mv hct.ex hct

cp lang/hdl/vhdl/parser.pm parser.ex
dos2unix parser.ex
touch -r lang/hdl/vhdl/parser.pm parser.ex
mv parser.ex lang/hdl/vhdl/parser.pm

find . -depth \( -name 'config*'   -o  \
                 -name 'windows'   -o  \
                 -name 'Misc'      -o  \
                 -name 'Pod'       -o  \
                 -name '.svn'      -o  \
                 -name '*.svn'         \) \
  -exec rm -rf -- '{}' +

find . -depth \( -name 'Makefile*' -o   \
                 -name '*sh'       -o  \
                 -name '*.output'  -o  \
                 -name '*.yp'      -o  \
                 -name '*.y'       -o  \
                 -name '*.l'       -o  \
                 -name '*.hct'     -o  \
                 -name '.*pm'      -o  \
                 -name '\.\_*'     -o  \
                 -name '\#*'           \) \
  -exec rm -f -- '{}' +

rm -f src/perllib/HCT/Lang/YappParserTracer.pm

chmod -x src/perllib/HCT.pm
chmod -x lang/hdl/verilog.pm
chmod -x lang/README
chmod -x lang/hdl/cdl/lexer.pm
chmod -x lang/hdl/cdl.pm
chmod -x lang/hdl/vhdl/parser.pm
chmod -x lang/hdl/verilog/lexer.pm

mkdir lib
mv src/perllib/* lib/
mv lang lib/HCT
rm -rf src
cp %{SOURCE1} %{_builddir}/%{name}-%{version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
%{__make} test TEST_VERBOSE=1

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

rm -f %{buildroot}/%{perl_vendor_privlib}/hct.pl

# %{_fixperms} %{buildroot}/*

%files
%doc COPYING COPYING.LESSER README
%{perl_vendor_privlib}/*
%{_bindir}/hct

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_24
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_23
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_22
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_21
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_20
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_19
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_18
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_17
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_16
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_15
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_13
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_12
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_11
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_10
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_9
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.60-alt1_8
- initial fc import

